<template>
    <div class="card-advantage">
        <div class="card-advantage__image" :style="'background-image: url('+ item.img.url + ')'" v-if="item.img && type !== 'number' && type !== 'media'"></div>
        <img class="card-advantage__image" :src="item.img.url" v-if="type == 'media'" />
        <div class="card-advantage__info">
            <p class="card-advantage__caption">{{ item.title }}</p>
            <p class="card-advantage__text" v-html="item.text" v-if="item.text"></p>
        </div>
        <a class="card-advantage__link" :href="item.link" v-if="item.link"></a>
    </div>
</template>

<script>
export default {
    props: ['item', 'type']
}
</script>